### Syncfusion Blazor Navigation Components

This package contains [Blazor TreeView](https://www.syncfusion.com/blazor-components/blazor-treeview?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget),[Blazor Dropdown Tree](https://www.syncfusion.com/blazor-components/blazor-dropdowntree?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Blazor Tab](https://www.syncfusion.com/blazor-components/blazor-tabs?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Blazor Menu Bar](https://www.syncfusion.com/blazor-components/blazor-menu-bar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Blazor Sidebar](https://www.syncfusion.com/blazor-components/blazor-sidebar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Blazor Accordion](https://www.syncfusion.com/blazor-components/blazor-accordion?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Blazor Breadcrumb](https://www.syncfusion.com/blazor-components/blazor-breadcrumb?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Blazor Toolbar](https://www.syncfusion.com/blazor-components/blazor-toolbar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Blazor Context Menu](https://www.syncfusion.com/blazor-components/blazor-context-menu?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Blazor Carousel](https://www.syncfusion.com/blazor-components/blazor-carousel?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) and [Blazor AppBar](https://www.syncfusion.com/blazor-components/blazor-appbar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) components for Blazor application.

### System Requirements

* [System Requirements](https://blazor.syncfusion.com/documentation/system-requirements?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

### Blazor TreeView

The [Blazor TreeView](https://www.syncfusion.com/blazor-components/blazor-treeview?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) is a graphical user interface component that allows you to represent hierarchical data in a tree-like structure. This component has advanced features like load on demand, multiple selection, tree navigation, drag and drop, tree node editing, and check box and template support that improve the performance greatly.

![Blazor TreeView](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-treeview.png)

#### Getting Started

* [Getting Started with Blazor TreeView](https://blazor.syncfusion.com/documentation/treeview/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

#### Resources

* [Blazor TreeView Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-treeview?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor TreeView Component Documentation](https://blazor.syncfusion.com/documentation/treeview/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor TreeView Component Demos](https://blazor.syncfusion.com/demos/treeview/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor TreeView Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/treeview?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

### Blazor Tab

The [Blazor Tab](https://www.syncfusion.com/blazor-components/blazor-tabs?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) component is a simple user interface (tabs UI) for organizing related content and occupying a compact space. The Blazor tab are aligned horizontally, and each tab is associated with its header. One of the tabs must always be selected and visible. The Blazor Tab component has a rich set of features such as animation, orientation, templating, header styles, a close button for each tab, a scrollbar or pop-up when there are many tabs and more.

![Blazor Tab](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-tabs.png)

#### Getting Started

* [Getting Started with Blazor Tab](https://blazor.syncfusion.com/documentation/tabs/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

#### Resources

* [Blazor Tab Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-tabs?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Tab Component Documentation](https://blazor.syncfusion.com/documentation/tabs/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Tab Component Demos](https://blazor.syncfusion.com/demos/tabs/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Tab Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/tabs?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

### Blazor Menu Bar

The [Blazor Menu Bar](https://www.syncfusion.com/blazor-components/blazor-menu-bar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) is a graphical user interface component that serves as a navigation header for your web application or site. It supports data binding, templates, icons, multilevel nesting, and horizontal and vertical menus.

![Blazor Menu Bar](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-menu-bar.png)

#### Getting Started

* [Getting Started with Blazor Menu Bar](https://blazor.syncfusion.com/documentation/menu-bar/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

#### Resources

* [Blazor Menu Bar Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-menu-bar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Menu Bar Component Documentation](https://blazor.syncfusion.com/documentation/menu-bar/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Menu Bar Component Demos](https://blazor.syncfusion.com/demos/menu-bar/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Menu Bar Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/menu-bar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

### Blazor Sidebar

The [Blazor Sidebar](https://www.syncfusion.com/blazor-components/blazor-sidebar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) is an expandable and collapsible component that typically acts as a side container to place primary or secondary content alongside the main content. It provides flexible options to be shown and hidden based on user interactions. Any type of HTML content or component can be placed in the Blazor Sidebar for quick access and for easy navigation, like quick references, menus, lists, and tree views.

![Blazor Sidebar](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-sidebar.png)

#### Getting Started

* [Getting Started with Blazor Sidebar](https://blazor.syncfusion.com/documentation/sidebar/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

#### Resources

* [Blazor Sidebar Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-sidebar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Sidebar Component Documentation](https://blazor.syncfusion.com/documentation/sidebar/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Sidebar Component Demos](https://blazor.syncfusion.com/demos/sidebar/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

### Blazor Accordion

The [Blazor Accordion](https://www.syncfusion.com/blazor-components/blazor-accordion?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) is a container-based component with vertically collapsible panels (vertical accordion) and stacked headers that expand or collapse one or more panels at a time within the available space.

![Blazor Accordion](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-accordion.png)

#### Getting Started

* [Getting Started with Blazor Accordion](https://blazor.syncfusion.com/documentation/accordion/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

#### Resources

* [Blazor Accordion Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-accordion?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Accordion Component Documentation](https://blazor.syncfusion.com/documentation/accordion/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Accordion Component Demos](https://blazor.syncfusion.com/demos/accordion/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Accordion Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/accordion?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

### Blazor Breadcrumb

The [Blazor Breadcrumb](https://www.syncfusion.com/blazor-components/blazor-breadcrumb?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) is a graphical user interface that helps to identify or highlight the current location within a hierarchical structure of websites. The aim is to make the user aware of their current position in a hierarchy of website links.

![Blazor Breadcrumb](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-breadcrumb.png)

#### Getting Started

* [Getting Started with Blazor Breadcrumb](https://blazor.syncfusion.com/documentation/breadcrumb/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

#### Resources

* [Blazor Breadcrumb Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-breadcrumb?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Breadcrumb Component Documentation](https://blazor.syncfusion.com/documentation/breadcrumb/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Breadcrumb Component Demos](https://blazor.syncfusion.com/demos/breadcrumb/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

### Blazor Toolbar

The [Blazor Toolbar](https://www.syncfusion.com/blazor-components/blazor-toolbar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) is a feature-rich component that provides an interface for selecting a command from a collection of commands. It has a rich set of features such as different orientations, responsive modes (scrollable and pop-up), templating, and button alignment based on priority.

![Blazor Toolbar](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-toolbar.png)

#### Getting Started

* [Getting Started with Blazor Toolbar](https://blazor.syncfusion.com/documentation/toolbar/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

#### Resources

* [Blazor Toolbar Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-toolbar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Toolbar Component Documentation](https://blazor.syncfusion.com/documentation/toolbar/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Toolbar Component Demos](https://blazor.syncfusion.com/demos/toolbar/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Toolbar Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/toolbar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

### Blazor Context Menu

The [Blazor Context Menu](https://www.syncfusion.com/blazor-components/blazor-context-menu?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) is a graphical user interface component that appears when the user right-clicks or performs a touch and hold action. You can define the list of items the context menu will contain, create multilevel menus, and attach event handlers to the menu items for seamless integration with other controls.

![Blazor Context Menu](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-context-menu.png)

#### Getting Started

* [Getting Started with Blazor Context Menu](https://blazor.syncfusion.com/documentation/context-menu/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

#### Resources

* [Blazor Context Menu Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-context-menu?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Context Menu Component Documentation](https://blazor.syncfusion.com/documentation/context-menu/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Context Menu Component Demos](https://blazor.syncfusion.com/demos/context-menu/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Context Menu Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/context-menu?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

### Blazor Carousel

The [Blazor Carousel](https://www.syncfusion.com/blazor-components/blazor-carousel?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) component allows users to display images with content, links, etc., like a slide show. Typical uses of carousels include scrolling news headlines, featured articles on home pages, and image galleries.

![Blazor Carousel](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-carousel.PNG)

#### Getting Started

* [Getting Started with Blazor Carousel](https://blazor.syncfusion.com/documentation/carousel/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

#### Resources

* [Blazor Carousel Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-carousel?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Carousel Component Documentation](https://blazor.syncfusion.com/documentation/carousel/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Carousel Component Demos](https://blazor.syncfusion.com/demos/carousel/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Carousel Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/carousel?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

### Blazor AppBar

The [Blazor AppBar](https://www.syncfusion.com/blazor-components/blazor-appbar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) displays information and actions related to the current application screen. It is used to show branding, screen titles, navigation, and actions.

#### Getting Started

* [Getting Started with Blazor AppBar](https://blazor.syncfusion.com/documentation/appbar/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

![Blazor AppBar](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-appbar.PNG)

#### Resources

* [Blazor AppBar Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-appbar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor AppBar Component Documentation](https://blazor.syncfusion.com/documentation/appbar/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor AppBar Component Demos](https://blazor.syncfusion.com/demos/appbar/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor AppBar Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/appbar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

### Blazor Dropdown Tree

The [Blazor Dropdown Tree](https://www.syncfusion.com/blazor-components/blazor-dropdowntree?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) component is a text-box component that allows users to select a single value or multiple values from hierarchical data in a tree-like structure. It has several out-of-the-box features, such as data binding, checkboxes, templates, UI customization, accessibility, and preselected values.

![Blazor Dropdown Tree](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-dropdown-tree.png)

#### Getting Started

* [Getting Started with Blazor Dropdown Tree](https://blazor.syncfusion.com/documentation/dropdown-tree/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

#### Resources

* [Blazor Dropdown Tree Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-dropdowntree?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Dropdown Tree Component Documentation](https://blazor.syncfusion.com/documentation/dropdown-tree/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Blazor Dropdown Tree Component Demos](https://blazor.syncfusion.com/demos/dropdown-tree/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

### Support and feedback
* For any other queries, reach our [Syncfusion support team](https://www.syncfusion.com/support/directtrac/incidents/newincident?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) or post the queries through the [community forums](https://www.syncfusion.com/forums/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget).
* Provide feature request through the [Syncfusion feedback portal](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

### License
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget). You can purchase a license [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget).

### About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 26,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [WPF](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) | Toll Free: 1-888-9 DOTNET